Social Icons

twitter facebook google plus linkedin

miércoles, 10 de junio de 2009

Solucion a las webcams bajo un kernel superior al 2.6.27.X

Hola Gente:
Hace unos minutos, instale una nueva version del kernel de Linux que se encuentra en los repositorios de mi querido Debian. Hasta el momento todo ha marchado bien. El sonido funciona, wifi, etc. pero lo que funcionaba a medias, es mi webcam.
Despues de compilar el driver gspca y darme cuenta que esto daba muuchos errores, me dispuse a googlear un poco y me encontre con la solucion a mi problema.

La solucion es:
Hay que ejecutar las aplicaciones que necesiten de la webcam de la siguiente manera:

32 bits:
LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so <app-name>

64 bits:
LD_PRELOAD=/usr/lib64/libv4l/v4l1compat.so

Para aplicaciones de 32bits emuladas sobre 64 bits
LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so


Un saludo!